Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 833)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 872)
@@ -30,17 +30,17 @@
 #======== VPS/ Layer sets ================
 VpsNumLayerSets               : 3           # Number of layer sets    
-LayerIdsInSet_0               : 0           # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1         # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 1 2 3     # LayerIds in vps of layer set
+LayerIdsInSet_0               : 0           # Indices in VPS of layers in layer set
+LayerIdsInSet_1               : 0 1         # Indices in VPS of layers in layer set
+LayerIdsInSet_2               : 0 1 2 3     # Indices in VPS of layers in layer set
 
-DefaultOneTargetOutputLayerFlag: 0          # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 2           # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 2 3         # LayerIds in vps of additional output layers
+DefaultTargetOutputLayerIdc   : 0           # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 2           # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 2 3         # Indices in VPS of output layers in additional output layer set
 ProfileLevelTierIdx           : 0 0 0 0     # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_3             : 1           # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
@@ -149,5 +149,5 @@
 #============ Lossless ================
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
-CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+CUTransquantBypassFlagForce: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
 #============ Rate Control ======================
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg	(revision 833)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg	(revision 872)
@@ -122,5 +122,5 @@
 #============ Lossless ================
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
-CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+CUTransquantBypassFlagForce: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
 #============ Rate Control ======================
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 833)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 872)
@@ -34,22 +34,22 @@
 #======== VPS/ Layer sets ================
 VpsNumLayerSets               : 5           # Number of layer sets    
-LayerIdsInSet_0               : 0           # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1         # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 1 2 3     # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 4 5     # LayerIds in vps of layer set
-LayerIdsInSet_4               : 0 1 2 3 4 5 # LayerIds in vps of layer set
-
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 2 3          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 2 3          # LayerIds of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 4 5          # LayerIds of additional output layers
+LayerIdsInSet_0               : 0           # Indices in VPS of layers in layer set
+LayerIdsInSet_1               : 0 1         # Indices in VPS of layers in layer set
+LayerIdsInSet_2               : 0 1 2 3     # Indices in VPS of layers in layer set
+LayerIdsInSet_3               : 0 1 4 5     # Indices in VPS of layers in layer set
+LayerIdsInSet_4               : 0 1 2 3 4 5 # Indices in VPS of layers in layer set
+
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 2 3          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 2 3          # Indices in VPS of additional output layers
+LayerIdsInAddOutputLayerSet_1 : 4 5          # Indices in VPS of additional output layers
 ProfileLevelTierIdx           : 0 0 0 0 0 0 0 0 # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_3             : 1           # LayerIds in vps of direct reference layers 
-DirectRefLayers_4             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_5             : 1           # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
+DirectRefLayers_4             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1           # Indices in VPS of direct reference layers 
 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
@@ -164,5 +164,5 @@
 #============ Lossless ================
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
-CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+CUTransquantBypassFlagForce: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
 #============ Rate Control ======================
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg	(revision 833)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg	(revision 872)
@@ -124,5 +124,5 @@
 #============ Lossless ================
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
-CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+CUTransquantBypassFlagForce: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
 #============ Rate Control ======================
Index: trunk/cfg/3D-HEVC/NonCTC/fco/baseCfg_3view+depth.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/fco/baseCfg_3view+depth.cfg	(revision 833)
+++ trunk/cfg/3D-HEVC/NonCTC/fco/baseCfg_3view+depth.cfg	(revision 872)
@@ -34,22 +34,22 @@
 #======== VPS/ Layer sets ================
 VpsNumLayerSets               : 5           # Number of layer sets    
-LayerIdsInSet_0               : 0           # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1         # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 1 2 3     # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 4 5     # LayerIds in vps of layer set
-LayerIdsInSet_4               : 0 1 2 3 4 5 # LayerIds in vps of layer set
-
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 2 3          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 2 3          # LayerIds of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 4 5          # LayerIds of additional output layers
+LayerIdsInSet_0               : 0           # Indices in VPS of layers in layer set
+LayerIdsInSet_1               : 0 1         # Indices in VPS of layers in layer set
+LayerIdsInSet_2               : 0 1 2 3     # Indices in VPS of layers in layer set
+LayerIdsInSet_3               : 0 1 4 5     # Indices in VPS of layers in layer set
+LayerIdsInSet_4               : 0 1 2 3 4 5 # Indices in VPS of layers in layer set
+
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 2 3          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 2 3          # Indices in VPS of additional output layers
+LayerIdsInAddOutputLayerSet_1 : 4 5          # Indices in VPS of additional output layers
 ProfileLevelTierIdx           : 0 0 0 0 0 0 0 0 # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 1           # LayerIds in vps of direct reference layers 
-DirectRefLayers_3             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_4             : 1           # LayerIds in vps of direct reference layers 
-DirectRefLayers_5             : 0           # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 1           # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_4             : 1           # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 0           # Indices in VPS of direct reference layers 
 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
@@ -213,5 +213,5 @@
 #============ Lossless ================
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
-CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+CUTransquantBypassFlagForce: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
 #============ Rate Control ======================
Index: trunk/cfg/3D-HEVC/NonCTC/ibp/gopCfg_IBP_3view+depth.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/ibp/gopCfg_IBP_3view+depth.cfg	(revision 833)
+++ trunk/cfg/3D-HEVC/NonCTC/ibp/gopCfg_IBP_3view+depth.cfg	(revision 872)
@@ -12,21 +12,21 @@
 #======== VPS/ Layer sets ================
 VpsNumLayerSets               : 4           # Number of layer sets    
-LayerIdsInSet_0               : 0           # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1         # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 1 2 3     # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 2 3 4 5 # LayerIds in vps of layer set
+LayerIdsInSet_0               : 0           # Indices in VPS of layers in layer set
+LayerIdsInSet_1               : 0 1         # Indices in VPS of layers in layer set
+LayerIdsInSet_2               : 0 1 2 3     # Indices in VPS of layers in layer set
+LayerIdsInSet_3               : 0 1 2 3 4 5 # Indices in VPS of layers in layer set
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 2 3          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 2 3          # LayerIds of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 4 5          # LayerIds of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 2 3          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 2 3          # Indices in VPS of additional output layers
+LayerIdsInAddOutputLayerSet_1 : 4 5          # Indices in VPS of additional output layers
 ProfileLevelTierIdx           : 0 0 0 0 0 0 0 0 # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_3             : 1           # LayerIds in vps of direct reference layers 
-DirectRefLayers_4             : 0 2         # LayerIds in vps of direct reference layers 
-DirectRefLayers_5             : 1 3         # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
+DirectRefLayers_4             : 0 2         # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1 3         # Indices in VPS of direct reference layers 
 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: trunk/cfg/3D-HEVC/NonCTC/ibp/gopCfg_IBP_3view.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/ibp/gopCfg_IBP_3view.cfg	(revision 833)
+++ trunk/cfg/3D-HEVC/NonCTC/ibp/gopCfg_IBP_3view.cfg	(revision 872)
@@ -13,13 +13,13 @@
 LayerIdsInSet_2               : 0 1 2        # LayerIdcs in vps of layer set
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1 2          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 2            # LayerIds in vps of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 1 2          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set
+LayerIdsInAddOutputLayerSet_1 : 2            # Indices in VPS of output layers in additional output layer set
 ProfileLevelTierIdx           : 0 0 0 0 0    # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0 1         # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1         # Indices in VPS of direct reference layers 
 DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             : 2 2         # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_ILP_on_IRAP_3view+depth.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_ILP_on_IRAP_3view+depth.cfg	(revision 833)
+++ trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_ILP_on_IRAP_3view+depth.cfg	(revision 872)
@@ -3,21 +3,21 @@
 #======== VPS/ Layer sets ================
 VpsNumLayerSets               : 4           # Number of layer sets    
-LayerIdsInSet_0               : 0           # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1         # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 1 2 3     # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 2 3 4 5 # LayerIds in vps of layer set
+LayerIdsInSet_0               : 0           # Indices in VPS of layers in layer set
+LayerIdsInSet_1               : 0 1         # Indices in VPS of layers in layer set
+LayerIdsInSet_2               : 0 1 2 3     # Indices in VPS of layers in layer set
+LayerIdsInSet_3               : 0 1 2 3 4 5 # Indices in VPS of layers in layer set
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 2 3          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 2 3          # LayerIds of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 4 5          # LayerIds of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 2 3          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 2 3          # Indices in VPS of additional output layers
+LayerIdsInAddOutputLayerSet_1 : 4 5          # Indices in VPS of additional output layers
 ProfileLevelTierIdx           : 0 0 0 0 0 0 0 # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_3             : 1           # LayerIds in vps of direct reference layers 
-DirectRefLayers_4             : 0 2         # LayerIds in vps of direct reference layers 
-DirectRefLayers_5             : 1 3         # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
+DirectRefLayers_4             : 0 2         # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1 3         # Indices in VPS of direct reference layers 
 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_NoIv_2view.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_NoIv_2view.cfg	(revision 833)
+++ trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_NoIv_2view.cfg	(revision 872)
@@ -1,15 +1,15 @@
 #======== VPS / Layer sets ================
 VpsNumLayerSets               : 4            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1          # LayerIds in vps of layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1            # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 1            # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set
 ProfileLevelTierIdx           : 0 0 0        # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             :             # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_2             :             # Indices in VPS of direct reference layers 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_NoIv_3view+depth.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_NoIv_3view+depth.cfg	(revision 833)
+++ trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_NoIv_3view+depth.cfg	(revision 872)
@@ -1,21 +1,21 @@
 #======== VPS/ Layer sets ================
 VpsNumLayerSets               : 4           # Number of layer sets    
-LayerIdsInSet_0               : 0           # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1         # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 1 2 3     # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 2 3 4 5 # LayerIds in vps of layer set
+LayerIdsInSet_0               : 0           # Indices in VPS of layers in layer set
+LayerIdsInSet_1               : 0 1         # Indices in VPS of layers in layer set
+LayerIdsInSet_2               : 0 1 2 3     # Indices in VPS of layers in layer set
+LayerIdsInSet_3               : 0 1 2 3 4 5 # Indices in VPS of layers in layer set
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 2 3          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 2 3          # LayerIds of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 4 5          # LayerIds of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 2 3          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 2 3          # Indices in VPS of additional output layers
+LayerIdsInAddOutputLayerSet_1 : 4 5          # Indices in VPS of additional output layers
 ProfileLevelTierIdx           : 0 0 0 0 0 0 0 # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_3             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_4             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_5             :             # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_2             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_3             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_4             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_5             :             # Indices in VPS of direct reference layers 
 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_NoIv_3view.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_NoIv_3view.cfg	(revision 833)
+++ trunk/cfg/3D-HEVC/NonCTC/misc/gopCfg_NoIv_3view.cfg	(revision 872)
@@ -1,18 +1,18 @@
 #======== VPS / Layer sets ================
 VpsNumLayerSets               : 4            # Number of layer sets    
-LayerIdsInSet_0               : 0            # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1          # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 2          # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 2        # LayerIds in vps of layer set
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set
+LayerIdsInSet_2               : 0 2          # Indices in VPS of layers in layer set
+LayerIdsInSet_3               : 0 1 2        # Indices in VPS of layers in layer set
 
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 1 2          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 1            # LayerIds in vps of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 2            # LayerIds in vps of additional output layers
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 1 2          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set
+LayerIdsInAddOutputLayerSet_1 : 2            # Indices in VPS of output layers in additional output layer set
 ProfileLevelTierIdx           : 0 0 0 0 0 0  # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             :             # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_2             :             # Indices in VPS of direct reference layers 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 DependencyTypes_2             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
Index: trunk/cfg/3D-HEVC/NonCTC/rc/baseCfg_3view+depth_rate_control.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/rc/baseCfg_3view+depth_rate_control.cfg	(revision 833)
+++ trunk/cfg/3D-HEVC/NonCTC/rc/baseCfg_3view+depth_rate_control.cfg	(revision 872)
@@ -34,22 +34,22 @@
 #======== VPS/ Layer sets ================
 VpsNumLayerSets               : 5           # Number of layer sets    
-LayerIdsInSet_0               : 0           # LayerIds in vps of layer set
-LayerIdsInSet_1               : 0 1         # LayerIds in vps of layer set
-LayerIdsInSet_2               : 0 1 2 3     # LayerIds in vps of layer set
-LayerIdsInSet_3               : 0 1 4 5     # LayerIds in vps of layer set
-LayerIdsInSet_4               : 0 1 2 3 4 5 # LayerIds in vps of layer set
-
-DefaultOneTargetOutputLayerFlag: 0           # Output highest layer of layer sets by default
-OutputLayerSetIdx             : 2 3          # Indices of layer sets used as additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 2 3          # LayerIds of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 4 5          # LayerIds of additional output layers
+LayerIdsInSet_0               : 0           # Indices in VPS of layers in layer set
+LayerIdsInSet_1               : 0 1         # Indices in VPS of layers in layer set
+LayerIdsInSet_2               : 0 1 2 3     # Indices in VPS of layers in layer set
+LayerIdsInSet_3               : 0 1 4 5     # Indices in VPS of layers in layer set
+LayerIdsInSet_4               : 0 1 2 3 4 5 # Indices in VPS of layers in layer set
+
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+OutputLayerSetIdx             : 2 3          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 2 3          # Indices in VPS of additional output layers
+LayerIdsInAddOutputLayerSet_1 : 4 5          # Indices in VPS of additional output layers
 ProfileLevelTierIdx           : 0 0 0 0 0 0 0 0 # Indices to profile level tier (TBD)
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # LayerIds in vps of direct reference layers 
-DirectRefLayers_2             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_3             : 1           # LayerIds in vps of direct reference layers 
-DirectRefLayers_4             : 0           # LayerIds in vps of direct reference layers 
-DirectRefLayers_5             : 1           # LayerIds in vps of direct reference layers 
+DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
+DirectRefLayers_4             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1           # Indices in VPS of direct reference layers 
 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
@@ -213,5 +213,5 @@
 #============ Lossless ================
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
-CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+CUTransquantBypassFlagForce: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
 #============ Rate Control ======================