Index: /branches/SHM-dev/cfg/encoder_intra_he10.cfg
===================================================================
--- /branches/SHM-dev/cfg/encoder_intra_he10.cfg	(revision 875)
+++ /branches/SHM-dev/cfg/encoder_intra_he10.cfg	(revision 876)
@@ -84,5 +84,5 @@
 
 #============ WaveFront ================
-WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+#WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
                                                        # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
Index: /branches/SHM-dev/cfg/encoder_intra_main.cfg
===================================================================
--- /branches/SHM-dev/cfg/encoder_intra_main.cfg	(revision 875)
+++ /branches/SHM-dev/cfg/encoder_intra_main.cfg	(revision 876)
@@ -88,5 +88,5 @@
 
 #============ WaveFront ================
-WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+#WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
                                                        # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
Index: /branches/SHM-dev/cfg/encoder_intra_main10.cfg
===================================================================
--- /branches/SHM-dev/cfg/encoder_intra_main10.cfg	(revision 875)
+++ /branches/SHM-dev/cfg/encoder_intra_main10.cfg	(revision 876)
@@ -88,5 +88,5 @@
 
 #============ WaveFront ================
-WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+#WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
                                                        # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
Index: /branches/SHM-dev/cfg/encoder_lowdelay_P_he10.cfg
===================================================================
--- /branches/SHM-dev/cfg/encoder_lowdelay_P_he10.cfg	(revision 875)
+++ /branches/SHM-dev/cfg/encoder_lowdelay_P_he10.cfg	(revision 876)
@@ -89,5 +89,5 @@
 
 #============ WaveFront ================
-WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+#WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
                                                        # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
Index: /branches/SHM-dev/cfg/encoder_lowdelay_P_main.cfg
===================================================================
--- /branches/SHM-dev/cfg/encoder_lowdelay_P_main.cfg	(revision 875)
+++ /branches/SHM-dev/cfg/encoder_lowdelay_P_main.cfg	(revision 876)
@@ -93,5 +93,5 @@
 
 #============ WaveFront ================
-WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+#WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
                                                        # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
Index: /branches/SHM-dev/cfg/encoder_lowdelay_P_main10.cfg
===================================================================
--- /branches/SHM-dev/cfg/encoder_lowdelay_P_main10.cfg	(revision 875)
+++ /branches/SHM-dev/cfg/encoder_lowdelay_P_main10.cfg	(revision 876)
@@ -93,5 +93,5 @@
 
 #============ WaveFront ================
-WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+#WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
                                                        # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
Index: /branches/SHM-dev/cfg/encoder_lowdelay_he10.cfg
===================================================================
--- /branches/SHM-dev/cfg/encoder_lowdelay_he10.cfg	(revision 875)
+++ /branches/SHM-dev/cfg/encoder_lowdelay_he10.cfg	(revision 876)
@@ -89,5 +89,5 @@
 
 #============ WaveFront ================
-WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+#WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
                                                        # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
Index: /branches/SHM-dev/cfg/encoder_lowdelay_main.cfg
===================================================================
--- /branches/SHM-dev/cfg/encoder_lowdelay_main.cfg	(revision 875)
+++ /branches/SHM-dev/cfg/encoder_lowdelay_main.cfg	(revision 876)
@@ -93,5 +93,5 @@
 
 #============ WaveFront ================
-WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+#WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
                                                        # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
Index: /branches/SHM-dev/cfg/encoder_lowdelay_main10.cfg
===================================================================
--- /branches/SHM-dev/cfg/encoder_lowdelay_main10.cfg	(revision 875)
+++ /branches/SHM-dev/cfg/encoder_lowdelay_main10.cfg	(revision 876)
@@ -93,5 +93,5 @@
 
 #============ WaveFront ================
-WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+#WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
                                                        # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
Index: /branches/SHM-dev/cfg/encoder_randomaccess_he10.cfg
===================================================================
--- /branches/SHM-dev/cfg/encoder_randomaccess_he10.cfg	(revision 875)
+++ /branches/SHM-dev/cfg/encoder_randomaccess_he10.cfg	(revision 876)
@@ -94,5 +94,5 @@
 
 #============ WaveFront ================
-WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+#WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
                                                        # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
Index: /branches/SHM-dev/cfg/encoder_randomaccess_main.cfg
===================================================================
--- /branches/SHM-dev/cfg/encoder_randomaccess_main.cfg	(revision 875)
+++ /branches/SHM-dev/cfg/encoder_randomaccess_main.cfg	(revision 876)
@@ -97,5 +97,5 @@
 
 #============ WaveFront ================
-WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+#WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
                                                        # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
Index: /branches/SHM-dev/cfg/encoder_randomaccess_main10.cfg
===================================================================
--- /branches/SHM-dev/cfg/encoder_randomaccess_main10.cfg	(revision 875)
+++ /branches/SHM-dev/cfg/encoder_randomaccess_main10.cfg	(revision 876)
@@ -97,5 +97,5 @@
 
 #============ WaveFront ================
-WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+#WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
                                                        # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
Index: /branches/SHM-dev/cfg/layers.cfg
===================================================================
--- /branches/SHM-dev/cfg/layers.cfg	(revision 875)
+++ /branches/SHM-dev/cfg/layers.cfg	(revision 876)
@@ -23,4 +23,7 @@
 RCForceIntraQP0               : 0           # Rate control: force intra QP to be equal to initial QP for layer 0
 
+#============ WaveFront ================
+WaveFrontSynchro0             : 0           # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+                                            # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
 #============= LAYER 1 ==================
@@ -42,13 +45,16 @@
 RCForceIntraQP1               : 0           # Rate control: force intra QP to be equal to initial QP for layer 1
 
+#============ WaveFront ================
+WaveFrontSynchro1             : 0           # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+                                            # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
-NumLayerSets                  : 2			# Include default layer set, value of 0 not allowed
-NumLayerInIdList1             : 2			# 0-th layer set is default, need not specify LayerSetLayerIdList0 or NumLayerInIdList0
+NumLayerSets                  : 2           # Include default layer set, value of 0 not allowed
+NumLayerInIdList1             : 2           # 0-th layer set is default, need not specify LayerSetLayerIdList0 or NumLayerInIdList0
 LayerSetLayerIdList1          : 0 1
 
 NumAddLayerSets               : 0
-NumOutputLayerSets	      : 2			# Include defualt OLS, value of 0 not allowed
+NumOutputLayerSets            : 2           # Include defualt OLS, value of 0 not allowed
 DefaultTargetOutputLayerIdc   : 1
-NumLayersInOutputLayerSet     : 1			# The number of layers in the 0-th OLS should not be specified, 
-							# ListOfOutputLayers0 need not be specified
-ListOfOutputLayers1	      : 1			
+NumLayersInOutputLayerSet     : 1           # The number of layers in the 0-th OLS should not be specified, 
+# ListOfOutputLayers0 need not be specified
+ListOfOutputLayers1	          : 1
Index: /branches/SHM-dev/cfg/layers_avcbase.cfg
===================================================================
--- /branches/SHM-dev/cfg/layers_avcbase.cfg	(revision 875)
+++ /branches/SHM-dev/cfg/layers_avcbase.cfg	(revision 876)
@@ -20,4 +20,7 @@
 RCForceIntraQP0               : 0           # Rate control: force intra QP to be equal to initial QP for layer 0
 
+#============ WaveFront ================
+WaveFrontSynchro0             : 0           # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+                                            # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
 #============= LAYER 1 ==================
@@ -39,13 +42,15 @@
 RCForceIntraQP1               : 0           # Rate control: force intra QP to be equal to initial QP for layer 1
 
+WaveFrontSynchro1             : 0           # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+                                            # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
 
-NumLayerSets                  : 2			# Include default layer set, value of 0 not allowed
-NumLayerInIdList1             : 2			# 0-th layer set is default, need not specify LayerSetLayerIdList0 or NumLayerInIdList0
+NumLayerSets                  : 2           # Include default layer set, value of 0 not allowed
+NumLayerInIdList1             : 2           # 0-th layer set is default, need not specify LayerSetLayerIdList0 or NumLayerInIdList0
 LayerSetLayerIdList1          : 0 1
 
 NumAddLayerSets               : 0
-NumOutputLayerSets	      : 2			# Include defualt OLS, value of 0 not allowed
+NumOutputLayerSets            : 2           # Include defualt OLS, value of 0 not allowed
 DefaultTargetOutputLayerIdc   : 1
-NumLayersInOutputLayerSet     : 1			# The number of layers in the 0-th OLS should not be specified, 
-							# ListOfOutputLayers0 need not be specified
-ListOfOutputLayers1	      : 1			
+NumLayersInOutputLayerSet     : 1           # The number of layers in the 0-th OLS should not be specified, 
+# ListOfOutputLayers0 need not be specified
+ListOfOutputLayers1	          : 1