Index: branches/HTM-10.1-dev0/source/Lib/TLibCommon/ContextTables.h
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibCommon/ContextTables.h	(revision 877)
+++ branches/HTM-10.1-dev0/source/Lib/TLibCommon/ContextTables.h	(revision 878)
@@ -104,9 +104,5 @@
 
 #if H_3D_DIM
-#if QC_GENERIC_SDC_G0122
 #define NUM_DEPTH_INTRA_MODE_CTX      1       ///< number of context models for depth intra modes
-#else
-#define NUM_DEPTH_INTRA_MODE_CTX      8       ///< number of context models for depth intra modes
-#endif
 #define NUM_DDC_FLAG_CTX              2       ///< number of context models for deltaDC flag (DMM or RBC)
 #define NUM_DDC_DATA_CTX              1       ///< number of context models for deltaDC data (DMM or RBC)
@@ -114,7 +110,5 @@
 #define NUM_DMM1_DATA_CTX             1       ///< number of context models for DMM1 data
 #endif
-#if QC_GENERIC_SDC_G0122
 #define NUM_ANGLE_FLAG_CTX            3
-#endif
 #endif
 
@@ -366,5 +360,4 @@
 #endif
 #if H_3D_DIM
-#if QC_GENERIC_SDC_G0122
 static const UChar
 INIT_DEPTH_INTRA_MODE[3][NUM_DEPTH_INTRA_MODE_CTX] =
@@ -374,15 +367,5 @@
   { 154, }
 };
-#else
-static const UChar
-INIT_DEPTH_INTRA_MODE[3][NUM_DEPTH_INTRA_MODE_CTX] =
-{
-    {0,  0,  64, 168, 168, 124, CNU, 0},
-    {0, 64,   0, 183, CNU, 108,   0, 0},
-    {64, 0, CNU, CNU, 168, 109,   0, 0}
-};
-#endif
-
-#if QC_GENERIC_SDC_G0122
+
 static const UChar 
 INIT_ANGLE_FLAG[3][NUM_ANGLE_FLAG_CTX] =
@@ -392,5 +375,4 @@
   { 155, 170, 157 },
 };
-#endif
 
 static const UChar 
Index: branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 877)
+++ branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 878)
@@ -2375,5 +2375,5 @@
 #endif
 
-#if QC_GENERIC_SDC_G0122
+#if H_3D_DIM_SDC
 UInt TComDataCU::getCtxSDCFlag( UInt uiAbsPartIdx )
 {
@@ -2624,6 +2624,8 @@
   // check general CU information
   if( !getSlice()->getIsDepth() || !isIntra(uiAbsPartIdx) || getPartitionSize(uiAbsPartIdx) != SIZE_2Nx2N )
+  {
     return false;
-#if QC_GENERIC_SDC_G0122
+  }
+
   if( isDimMode( getLumaIntraDir( uiAbsPartIdx ) ) && !isDimDeltaDC( getLumaIntraDir( uiAbsPartIdx ) ) )
   {
@@ -2637,5 +2639,4 @@
 
   return false;
-#endif
   // check prediction mode
   UInt uiLumaPredMode = getLumaIntraDir( uiAbsPartIdx );  
Index: branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.h
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 877)
+++ branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 878)
@@ -556,8 +556,6 @@
   Pel           getSDCSegmentDCOffset( UInt uiSeg, UInt uiPartIdx ) { return m_apSegmentDCOffset[uiSeg][uiPartIdx]; }
   Void          setSDCSegmentDCOffset( Pel pOffset, UInt uiSeg, UInt uiPartIdx) { m_apSegmentDCOffset[uiSeg][uiPartIdx] = pOffset; }
-#if QC_GENERIC_SDC_G0122
   UInt          getCtxSDCFlag          ( UInt   uiAbsPartIdx );
   UInt          getCtxAngleFlag        ( UInt   uiAbsPartIdx );
-#endif
 #endif
 #endif
Index: branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComPrediction.cpp	(revision 877)
+++ branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComPrediction.cpp	(revision 878)
@@ -416,9 +416,5 @@
 
 #if H_3D_DIM
-Void TComPrediction::predIntraLumaDepth( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiIntraMode, Pel* piPred, UInt uiStride, Int iWidth, Int iHeight, Bool bFastEnc
-#if QC_GENERIC_SDC_G0122
-  , TComWedgelet* dmm4Segmentation
-#endif
-  )
+Void TComPrediction::predIntraLumaDepth( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiIntraMode, Pel* piPred, UInt uiStride, Int iWidth, Int iHeight, Bool bFastEnc, TComWedgelet* dmm4Segmentation  )
 {
   assert( iWidth == iHeight  );
@@ -446,5 +442,4 @@
     case( DMM4_IDX ): 
       {
-#if QC_GENERIC_SDC_G0122
         if( dmm4Segmentation == NULL )
         { 
@@ -457,8 +452,4 @@
           dmmSegmentation = dmm4Segmentation;
         }
-#else
-        dmmSegmentation = new TComWedgelet( iWidth, iHeight );
-        xPredContourFromTex( pcCU, uiAbsPartIdx, iWidth, iHeight, dmmSegmentation );
-#endif
       } break;
     default: assert(0);
@@ -511,9 +502,5 @@
 
 #if H_3D_DIM_DMM
-#if QC_GENERIC_SDC_G0122
   if( dimType == DMM4_IDX && dmm4Segmentation == NULL ) { dmmSegmentation->destroy(); delete dmmSegmentation; }
-#else
-  if( dimType == DMM4_IDX ) { dmmSegmentation->destroy(); delete dmmSegmentation; }
-#endif
 #endif
 }
@@ -2593,10 +2580,8 @@
   Int iSumPix[2];
   memset(iSumPix, 0, sizeof(Int)*2);
-#if QC_GENERIC_SDC_G0122
   for( Int i = 0; i < uiNumSegments; i++ )
   {
     rpSegMeans[i] = 0;
   }
-#endif
   if (orgDC == false)
   {
@@ -2613,5 +2598,4 @@
       rpSegMeans[ucSegmentRB] = pOrig[uiStride * (uiSize-1) + (uiSize-1) ];
     }
-#if QC_GENERIC_SDC_G0122
     else if( getDimType( uiIntraMode ) == DMM4_IDX )
     {
@@ -2647,7 +2631,4 @@
     }
     else
-#else
-    else if (uiIntraMode == PLANAR_IDX)
-#endif
     {
       Pel* pLeftTop = pOrig;
Index: branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComPrediction.h
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComPrediction.h	(revision 877)
+++ branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComPrediction.h	(revision 878)
@@ -172,7 +172,5 @@
   // Depth intra
   Void predIntraLumaDepth         ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiIntraMode, Pel* piPred, UInt uiStride, Int iWidth, Int iHeight, Bool bFastEnc = false 
-#if QC_GENERIC_SDC_G0122
     , TComWedgelet* dmm4Segmentation = NULL
-#endif
     );
 #if H_3D_DIM_SDC
Index: branches/HTM-10.1-dev0/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/HTM-10.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 877)
+++ branches/HTM-10.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 878)
@@ -184,4 +184,5 @@
                                               // QC_DIM_DELTADC_UNIFY_F0132 Unify delta DC coding in depth intra modes
                                               // Unify intra SDC and inter SDC
+                                              // QC_GENERIC_SDC_G0122 Generalize SDC to all depth intra modes
 
 
@@ -317,5 +318,5 @@
 #endif
 #define SCU_HS_DEPTH_DC_PRED_G0143        1
-#define QC_GENERIC_SDC_G0122              1  // Generalize SDC to all depth intra modes
+
 #endif
 