Index: /branches/HTM-10.1-dev0/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 880)
+++ /branches/HTM-10.1-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 881)
@@ -824,5 +824,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
           m_acTEncTopList[ layer ]->getSliceEncoder()->setDDDPar( m_cCameraData.getCodedScale()[0][ m_acTEncTopList[layer]->getViewIndex() ], 
               m_cCameraData.getCodedOffset()[0][ m_acTEncTopList[layer]->getViewIndex() ], 
Index: /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 880)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 881)
@@ -151,5 +151,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
   m_pucDisparityDerivedDepth = NULL;
   m_pbUseDDD = NULL;
@@ -293,5 +293,5 @@
   m_pcPattern            = (TComPattern*)xMalloc(TComPattern, 1);
   
-#if MTK_DDD_G0063
+#if H_3D_DDD
   m_pucDisparityDerivedDepth         = (UChar*  )xMalloc( UChar,  uiNumPartition);
   m_pbUseDDD                         = (Bool*  ) xMalloc( Bool,   uiNumPartition);
@@ -377,5 +377,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
     if ( m_pucDisparityDerivedDepth ) { xFree(m_pucDisparityDerivedDepth);          m_pucDisparityDerivedDepth        = NULL; }
     if ( m_pbUseDDD                 ) { xFree(m_pbUseDDD);                          m_pbUseDDD                        = NULL; }
@@ -505,5 +505,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
     m_pucDisparityDerivedDepth[ui] = pcFrom->m_pucDisparityDerivedDepth[ui];
     m_pbUseDDD[ui] = pcFrom->m_pbUseDDD[ui];
@@ -588,5 +588,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
     memset( m_pucDisparityDerivedDepth        + firstElement, 0,           numElements * sizeof( *m_pucDisparityDerivedDepth ) );
     memset( m_pbUseDDD                        + firstElement, 0,           numElements * sizeof( *m_pbUseDDD ) );
@@ -762,5 +762,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
       m_pucDisparityDerivedDepth[ui] = 0;
       m_pbUseDDD[ui] = 0;
@@ -869,5 +869,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
   memset( m_pucDisparityDerivedDepth,         0, iSizeInUchar );
   memset( m_pbUseDDD,                         0, iSizeInBool );
@@ -956,5 +956,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
       m_pucDisparityDerivedDepth[ui] = pcCU->m_pucDisparityDerivedDepth[uiPartOffset+ui];
       m_pbUseDDD[ui]                 = pcCU->m_pbUseDDD[uiPartOffset+ui];
@@ -1102,5 +1102,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
   m_pucDisparityDerivedDepth          = pcCU->getDDDepth()        + uiPart;
   m_pbUseDDD                          = pcCU->getUseDDD()         + uiPart;
@@ -1252,5 +1252,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
   m_pucDisparityDerivedDepth         = pcCU->getDDDepth()              + uiAbsPartIdx;
   m_pbUseDDD                         = pcCU->getUseDDD()              + uiAbsPartIdx;
@@ -1317,5 +1317,5 @@
   memcpy( m_puhCbf[2] + uiOffset, pcCU->getCbf(TEXT_CHROMA_V), iSizeInUchar );
   
-#if MTK_DDD_G0063
+#if H_3D_DDD
   memcpy( m_pucDisparityDerivedDepth          + uiOffset, pcCU->getDDDepth(),         iSizeInUchar );
   memcpy( m_pbUseDDD                          + uiOffset, pcCU->getUseDDD(),          iSizeInBool );
@@ -1417,5 +1417,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
   memcpy( rpcCU->getDDDepth()          + m_uiAbsIdxInLCU, m_pucDisparityDerivedDepth,         iSizeInUchar  );
   memcpy( rpcCU->getUseDDD()           + m_uiAbsIdxInLCU, m_pbUseDDD,                         iSizeInBool  );
@@ -1551,5 +1551,5 @@
   memcpy( rpcCU->getCbf(TEXT_CHROMA_V) + uiPartOffset, m_puhCbf[2], iSizeInUchar );
   
-#if MTK_DDD_G0063
+#if H_3D_DDD
   memcpy( rpcCU->getDDDepth()          + uiPartOffset, m_pucDisparityDerivedDepth,         iSizeInUchar );
   memcpy( rpcCU->getUseDDD()           + uiPartOffset, m_pbUseDDD,                         iSizeInBool );
@@ -1621,5 +1621,5 @@
 }
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
 Void TComDataCU::setDDDepthSubParts ( UChar ucDDD, UInt uiAbsPartIdx, UInt uiPartIdx, UInt uiDepth )
 {
@@ -3847,5 +3847,5 @@
   UChar tmpDir;
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
   m_iUseDDDCandIdx = -1;
 #endif
@@ -4225,122 +4225,105 @@
     }
   }
-#if MTK_DDD_G0063
+#if H_3D_DDD
   if( m_pcSlice->getIsDepth() && m_pcSlice->getViewIndex() != 0  && bMPIFlag )
   {
-      UInt uiPartIdx;
-      TComDataCU *pcTextureCU = m_pcSlice->getTexturePic()->getCU( getAddr() );
-      TComSlice *pcTextureSlice = pcTextureCU->getSlice();  
-
-
-      tmpMV[0].setMvField( cZeroMv, NOT_VALID );
-      tmpMV[1].setMvField( cZeroMv, NOT_VALID );
-      tmpDir = 0;
-
-      xDeriveCenterIdx( uiPUIdx, uiPartIdx); 
-
-      if ( pcTextureCU && !pcTextureCU->isIntra( uiPartIdx ) )
-      {
-
-          TComMvField cMVField;
-#if !HTM10RC1_FIX
-          UChar ucInterDir = pcTextureCU->getInterDir( uiPartIdx );
-#endif
-          Int iDV = 0;
-          Int iViewIdx = 0;
-#if !HTM10RC1_FIX
-          if( ucInterDir & 1 )
+    UInt uiPartIdx;
+    TComDataCU *pcTextureCU = m_pcSlice->getTexturePic()->getCU( getAddr() );
+    TComSlice *pcTextureSlice = pcTextureCU->getSlice();  
+
+
+    tmpMV[0].setMvField( cZeroMv, NOT_VALID );
+    tmpMV[1].setMvField( cZeroMv, NOT_VALID );
+    tmpDir = 0;
+
+    xDeriveCenterIdx( uiPUIdx, uiPartIdx); 
+
+    if ( pcTextureCU && !pcTextureCU->isIntra( uiPartIdx ) )
+    {
+
+      TComMvField cMVField;
+      Int iDV = 0;
+      Int iViewIdx = 0;
+      pcTextureCU->getMvField( pcTextureCU, uiPartIdx, REF_PIC_LIST_0, cMVField );
+      if( cMVField.getRefIdx() >= 0 )
+      {
+        if( pcTextureSlice->getRefPOC( REF_PIC_LIST_0, cMVField.getRefIdx()) == pcTextureSlice->getPOC() )
+        {
+          iViewIdx = pcTextureSlice->getRefPic( REF_PIC_LIST_0, cMVField.getRefIdx())->getViewIndex();
+          iDV = cMVField.getHor();
+
+
+          Int iValidDepRef = getPic()->isTextRefValid( REF_PIC_LIST_0, cMVField.getRefIdx() );
+
+          if( iValidDepRef >= 0 )
           {
-#endif
-              pcTextureCU->getMvField( pcTextureCU, uiPartIdx, REF_PIC_LIST_0, cMVField );
-#if HTM10RC1_FIX
-              if( cMVField.getRefIdx() >= 0 )
-              {
-#endif
-              if( pcTextureSlice->getRefPOC( REF_PIC_LIST_0, cMVField.getRefIdx()) == pcTextureSlice->getPOC() )
-              {
-                  iViewIdx = pcTextureSlice->getRefPic( REF_PIC_LIST_0, cMVField.getRefIdx())->getViewIndex();
-                  iDV = cMVField.getHor();
-
-
-                  Int iValidDepRef = getPic()->isTextRefValid( REF_PIC_LIST_0, cMVField.getRefIdx() );
-
-                  if( iValidDepRef >= 0 )
-                  {
-                      const TComMv cAdd( 2, 2 );
-                      cMVField.getMv() += cAdd;
-                      cMVField.getMv() >>= 2;
-                      clipMv( cMVField.getMv() );
-                      tmpMV[ 0 ].setMvField( cMVField.getMv(), iValidDepRef );
-                      tmpDir = 1;
-                  }
-              }
+            const TComMv cAdd( 2, 2 );
+            cMVField.getMv() += cAdd;
+            cMVField.getMv() >>= 2;
+            clipMv( cMVField.getMv() );
+            tmpMV[ 0 ].setMvField( cMVField.getMv(), iValidDepRef );
+            tmpDir = 1;
           }
-
-#if !HTM10RC1_FIX
-          if( !tmpDir && ( ucInterDir & 2 ))
+        }
+      }
+
+      pcTextureCU->getMvField( pcTextureCU, uiPartIdx, REF_PIC_LIST_1, cMVField );
+
+      if( !tmpDir && cMVField.getRefIdx() >= 0 )
+      {
+        if( pcTextureSlice->getRefPOC( REF_PIC_LIST_1, cMVField.getRefIdx()) == pcTextureSlice->getPOC() )
+        {
+          iViewIdx = pcTextureSlice->getRefPic( REF_PIC_LIST_1, cMVField.getRefIdx())->getViewIndex();
+          iDV = cMVField.getHor();
+
+          Int iValidDepRef = getPic()->isTextRefValid( REF_PIC_LIST_1, cMVField.getRefIdx() );
+
+          if( iValidDepRef >= 0 )
           {
-#endif
-              pcTextureCU->getMvField( pcTextureCU, uiPartIdx, REF_PIC_LIST_1, cMVField );
-
-#if HTM10RC1_FIX
-              if( !tmpDir && cMVField.getRefIdx() >= 0 )
-              {
-#endif
-              if( pcTextureSlice->getRefPOC( REF_PIC_LIST_1, cMVField.getRefIdx()) == pcTextureSlice->getPOC() )
-              {
-                  iViewIdx = pcTextureSlice->getRefPic( REF_PIC_LIST_1, cMVField.getRefIdx())->getViewIndex();
-                  iDV = cMVField.getHor();
-
-                  Int iValidDepRef = getPic()->isTextRefValid( REF_PIC_LIST_1, cMVField.getRefIdx() );
-
-                  if( iValidDepRef >= 0 )
-                  {
-                      const TComMv cAdd( 2, 2 );
-                      cMVField.getMv() += cAdd;
-                      cMVField.getMv() >>= 2;
-                      clipMv( cMVField.getMv() );
-                      tmpMV[ 1 ].setMvField( cMVField.getMv(), iValidDepRef );
-                      tmpDir = 2;
-                  }
-              }
+            const TComMv cAdd( 2, 2 );
+            cMVField.getMv() += cAdd;
+            cMVField.getMv() >>= 2;
+            clipMv( cMVField.getMv() );
+            tmpMV[ 1 ].setMvField( cMVField.getMv(), iValidDepRef );
+            tmpDir = 2;
           }
-          if( tmpDir != 0 )
-          {
-              rightShiftMergeCandList( pcMvFieldNeighbours, puhInterDirNeighbours, vspFlag, inheritedVSPDisInfo, iCount, 5-iCount, iCount3DV);
-              m_ucDDTmpDepth = m_pcSlice->getDepthFromDV( iDV,  iViewIdx );
-              m_iUseDDDCandIdx = iCount;
-
-              if( tmpDir == 1 )
-              {
-                  pcMvFieldNeighbours[ iCount << 1 ] = tmpMV[ 0 ];
-              }
-              else if( tmpDir == 2  )
-              {
-                  pcMvFieldNeighbours[( iCount << 1 ) + 1 ] = tmpMV[ 1 ];
-              }
-
-              abCandIsInter        [ iCount ] = true;
-              puhInterDirNeighbours[ iCount ] = tmpDir;
-
-              if ( mrgCandIdx == iCount )
-              {
-                  return;
-              }
-              iCount ++;
-
-              Int iLeftAboveAvail = 0;
-              if( iPosLeftAbove[ 0 ] != -1 )
-              {
-                  iPosLeftAbove[ 0 ] = iCount;
-                  iLeftAboveAvail = 1;
-              }
-              if( iPosLeftAbove[ 1 ] != -1 )
-              {
-                  iPosLeftAbove[ 1 ] = iCount + iLeftAboveAvail;
-              }
-
-          }
-      }      
-
+        }
+      }
+      if( tmpDir != 0 )
+      {
+        rightShiftMergeCandList( pcMvFieldNeighbours, puhInterDirNeighbours, vspFlag, inheritedVSPDisInfo, iCount, 5-iCount, iCount3DV);
+        m_ucDDTmpDepth = m_pcSlice->getDepthFromDV( iDV,  iViewIdx );
+        m_iUseDDDCandIdx = iCount;
+
+        if( tmpDir == 1 )
+        {
+          pcMvFieldNeighbours[ iCount << 1 ] = tmpMV[ 0 ];
+        }
+        else if( tmpDir == 2  )
+        {
+          pcMvFieldNeighbours[( iCount << 1 ) + 1 ] = tmpMV[ 1 ];
+        }
+
+        abCandIsInter        [ iCount ] = true;
+        puhInterDirNeighbours[ iCount ] = tmpDir;
+
+        if ( mrgCandIdx == iCount )
+        {
+          return;
+        }
+        iCount ++;
+
+        Int iLeftAboveAvail = 0;
+        if( iPosLeftAbove[ 0 ] != -1 )
+        {
+          iPosLeftAbove[ 0 ] = iCount;
+          iLeftAboveAvail = 1;
+        }
+        if( iPosLeftAbove[ 1 ] != -1 )
+        {
+          iPosLeftAbove[ 1 ] = iCount + iLeftAboveAvail;
+        }
+      }
+    }
   }
 #endif
@@ -4413,5 +4396,5 @@
       for(; iCnloop >= 0; iCnloop --)
       {
-#if MTK_DDD_G0063
+#if H_3D_DDD
           if( iCnloop == m_iUseDDDCandIdx )
           {
@@ -4614,5 +4597,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
   // early termination
   if ( iCount >= getSlice()->getMaxNumMergeCand()) 
Index: /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.h
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 880)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 881)
@@ -226,5 +226,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
   UChar*        m_pucDisparityDerivedDepth;
   Bool*         m_pbUseDDD;
@@ -723,5 +723,5 @@
   UInt          getCoefScanIdx(UInt uiAbsPartIdx, UInt uiWidth, Bool bIsLuma, Bool bIsIntra);
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
   UChar*       getDDDepth        ()                        { return m_pucDisparityDerivedDepth;        }
   UChar        getDDDepth        ( UInt uiIdx )            { return m_pucDisparityDerivedDepth[uiIdx]; }
Index: /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComPrediction.cpp	(revision 880)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComPrediction.cpp	(revision 881)
@@ -1090,5 +1090,5 @@
   pcCU->clipMv(cMv);
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
   if( pcCU->getUseDDD( uiPartAddr ) )
   {
Index: /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 880)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 881)
@@ -3359,5 +3359,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
   if( getIsDepth() && getViewIndex() > 0 )
   {
@@ -3417,5 +3417,5 @@
     }
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
     InitializeDDDPara( vps->getCamParPrecision(), codScale[ i ], codOffset[ i ], i );
 #endif
@@ -3425,5 +3425,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
 Void TComSlice::InitializeDDDPara( UInt uiCamParsCodedPrecision, Int  iCodedScale,Int  iCodedOffset, Int iBaseViewIdx )
 {
Index: /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 880)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 881)
@@ -2274,5 +2274,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
   Int          m_aiDDDInvScale [MAX_NUM_LAYERS];
   Int          m_aiDDDInvOffset[MAX_NUM_LAYERS];
@@ -2654,5 +2654,5 @@
 
 #endif
-#if MTK_DDD_G0063
+#if H_3D_DDD
   Void InitializeDDDPara( UInt uiCamParsCodedPrecision, Int  iCodedScale,Int  iCodedOffset, Int iBaseViewIdx );
   Int  getDepthFromDV( Int iDV, Int iBaseViewIdx )
Index: /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 880)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 881)
@@ -76,5 +76,6 @@
 #if H_3D
 #define H_3D_QTLPC                        1   // OL_QTLIMIT_PREDCODING_B0068 //JCT3V-B0068
-                                              // HHI_QTLPC_RAU_OFF_C0160     // JCT3V-C0160 change 2: quadtree limitation and predictive coding switched off in random access units 
+                                              // HHI_QTLPC_RAU_OFF_C0160 JCT3V-C0160 change 2: quadtree limitation and predictive coding switched off in random access units 
+                                              // MTK_TEX_DEP_PAR_G0055 Texture-partition-dependent depth partition. JCT3V-G0055
 
 #define H_3D_VSO                          1   // VSO, View synthesis optimization, includes: 
@@ -205,4 +206,5 @@
 #define H_3D_DBBP                         1   // DBBP: Depth-based Block Partitioning and Merging
 
+#define H_3D_DDD                          1   // Disparity derived depth coding
 
 #define H_3D_FCO                          0   // Flexible coding order for 3D
@@ -303,17 +305,4 @@
 #if H_3D
 #define PPS_FIX_DEPTH                           1
-#endif
-
-
-/////////////////////////////////////////////////////////////////////////////////////////
-///////////////////////////////////   HTM-10.0 Integrations //////////////////////////////
-/////////////////////////////////////////////////////////////////////////////////////////
-#if H_3D
-#if  H_3D_QTLPC
-#define MTK_TEX_DEP_PAR_G0055             1   // Texture-partition-dependent depth partition. JCT3V-G0055
-#endif
-
-#define MTK_DDD_G0063                     1   // Disparity derived depth coding
-#define HTM10RC1_FIX                      1   // Fix of DDD
 #endif
 
Index: /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 880)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 881)
@@ -293,5 +293,5 @@
 
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
       pcCU->setUseDDD( false, uiAbsPartIdx, uiDepth );
 #endif
@@ -454,5 +454,5 @@
     pcCU->setInterDirSubParts( uhInterDirNeighbours[uiMergeIndex], uiAbsPartIdx, 0, uiDepth );
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
     if( uiMergeIndex == m_ppcCU[uiDepth]->getUseDDDCandIdx() )
     {
Index: /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecEntropy.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 880)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 881)
@@ -351,5 +351,5 @@
       pcCU->setInterDirSubParts( uhInterDirNeighbours[uiMergeIndex], uiSubPartIdx, uiPartIdx, uiDepth );
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
       if( uiMergeIndex == pcSubCU->getUseDDDCandIdx() )
       {
Index: /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 880)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 881)
@@ -787,15 +787,10 @@
   Bool rapPic     = (pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR_W_RADL || pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR_N_LP || pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA);
 
-#if MTK_TEX_DEP_PAR_G0055
   Bool depthDependent = false;
   UInt uiTexturePart = uiMode;
-#endif
   if(bDepthMapDetect && !bIntraSliceDetect && !rapPic && sps->getUseQTL() && sps->getUsePC())
   {
     TComDataCU *pcTextureCU = pcTexture->getCU(pcCU->getAddr());
     assert(pcTextureCU->getDepth(uiAbsPartIdx) >= uiDepth);
-#if !MTK_TEX_DEP_PAR_G0055
-    if (pcTextureCU->getDepth(uiAbsPartIdx) == uiDepth && pcTextureCU->getPartitionSize( uiAbsPartIdx ) != SIZE_NxN)
-#else
     if(pcTextureCU->getDepth(uiAbsPartIdx) == uiDepth )
     {
@@ -804,5 +799,4 @@
     }
     if (pcTextureCU->getDepth(uiAbsPartIdx) == uiDepth && pcTextureCU->getPartitionSize( uiAbsPartIdx ) == SIZE_2Nx2N)
-#endif
     {
       bParsePartSize = false;
@@ -849,6 +843,4 @@
     if(bParsePartSize)
     {
-#endif
-#if MTK_TEX_DEP_PAR_G0055
       if (depthDependent==false || uiTexturePart == SIZE_NxN|| uiTexturePart == SIZE_2Nx2N)
       {
@@ -890,5 +882,5 @@
         }
       }
-#if MTK_TEX_DEP_PAR_G0055
+#if H_3D_QTLPC
       }
       else if(uiTexturePart == SIZE_2NxN || uiTexturePart == SIZE_2NxnU || uiTexturePart == SIZE_2NxnD)
@@ -955,10 +947,10 @@
       }
       else
+      {
         assert(0);
-#endif
+      }
 #if H_MV_ENC_DEC_TRAC          
       DTRACE_CU("part_mode", eMode )
 #endif
-#if H_3D_QTLPC
     }
 #endif
Index: /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecTop.h	(revision 880)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecTop.h	(revision 881)
@@ -87,5 +87,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
   Int getCodedScale( Int iBaseView, Int iCureView){ return m_aaiCodedScale[ iBaseView ][ iCureView ];}
   Int getCodedOffset( Int iBaseView, Int iCureView){ return m_aaiCodedOffset[ iBaseView ][ iCureView ];}
Index: /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCu.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCu.cpp	(revision 880)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCu.cpp	(revision 881)
@@ -547,5 +547,4 @@
           bTryNx2N  = false;
           bTry2NxN  = false;
-#if MTK_TEX_DEP_PAR_G0055
           if( pcTextureCU->getDepth(uiCUIdx) == uiDepth && pcTextureCU->getPartitionSize(uiCUIdx) != SIZE_2Nx2N)
           {
@@ -555,5 +554,4 @@
               bTryNx2N  = true;
           }
-#endif
         }
       }
@@ -1831,5 +1829,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
     Int iDDDCand = rpcTempCU->getUseDDDCandIdx(); 
     UChar ucDDDepth = rpcTempCU->getDDTmpDepth();
@@ -1870,5 +1868,5 @@
           rpcTempCU->setDvInfoSubParts(inheritedVSPDisInfo[uiMergeCand].m_acDvInfo, 0, 0, uhDepth );
 #endif
-#if MTK_DDD_G0063
+#if H_3D_DDD
           if( rpcTempCU->getSlice()->getIsDepth() && rpcTempCU->getSlice()->getViewIndex() != 0 && iDDDCand == uiMergeCand )
           {
@@ -2135,5 +2133,5 @@
   rpcTempCU->setPartSizeSubParts  ( ePartSize,  0, uhDepth );
   rpcTempCU->setPredModeSubParts  ( MODE_INTER, 0, uhDepth );
-#if MTK_DDD_G0063
+#if H_3D_DDD
   rpcTempCU->setUseDDD( false, 0, uhDepth );
 #endif
Index: /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 880)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 881)
@@ -683,8 +683,6 @@
   Bool rapPic     = (pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR_W_RADL || pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR_N_LP || pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA);
 
-#if MTK_TEX_DEP_PAR_G0055
   Bool depthDependent = false;
   UInt uiTexturePart = eSize;
-#endif
   if(bDepthMapDetect && !bIntraSliceDetect && !rapPic && pcCU->getPic()->getReduceBitsFlag() && sps->getUseQTL() && sps->getUsePC() )
   {
@@ -692,7 +690,4 @@
     UInt uiCUIdx            = (pcCU->getZorderIdxInCU() == 0) ? uiAbsPartIdx : pcCU->getZorderIdxInCU();
     assert(pcTextureCU->getDepth(uiCUIdx) >= uiDepth);
-#if !MTK_TEX_DEP_PAR_G0055
-    if (pcTextureCU->getDepth(uiCUIdx) == uiDepth && pcTextureCU->getPartitionSize( uiCUIdx ) != SIZE_NxN)
-#else
     if(pcTextureCU->getDepth(uiCUIdx) == uiDepth )
     {
@@ -701,5 +696,4 @@
     }
     if (pcTextureCU->getDepth(uiCUIdx) == uiDepth && pcTextureCU->getPartitionSize( uiCUIdx ) == SIZE_2Nx2N)
-#endif
     {
       assert( eSize == SIZE_2Nx2N );
@@ -723,5 +717,5 @@
   DTRACE_CU("part_mode", eSize )
 #endif        
-#if MTK_TEX_DEP_PAR_G0055
+#if H_3D_QTLPC
     if (depthDependent==false || uiTexturePart == SIZE_NxN|| uiTexturePart == SIZE_2Nx2N)
     {
@@ -793,5 +787,5 @@
     }
   }
-#if MTK_TEX_DEP_PAR_G0055
+#if H_3D_QTLPC
     }
     else if(uiTexturePart == SIZE_2NxN || uiTexturePart == SIZE_2NxnU || uiTexturePart == SIZE_2NxnD)
Index: /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 880)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 881)
@@ -3825,5 +3825,5 @@
 #endif
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
       if( uiMergeCand == pcCU->getUseDDDCandIdx() )
       {
@@ -4533,5 +4533,5 @@
         pcCU->setDvInfoSubParts(inheritedVSPDisInfo[uiMRGIndex].m_acDvInfo, uiPartAddr, iPartIdx, pcCU->getDepth( uiPartAddr ) );
 #endif
-#if MTK_DDD_G0063
+#if H_3D_DDD
         if( uiMRGIndex == pcCU->getUseDDDCandIdx() )
         {
@@ -4624,5 +4624,5 @@
         pcCU->setSPIVMPFlagSubParts(0, uiPartAddr, iPartIdx, pcCU->getDepth( uiPartAddr ) ); 
 #endif
-#if MTK_DDD_G0063
+#if H_3D_DDD
         pcCU->setUseDDD( false, uiPartAddr, iPartIdx, pcCU->getDepth( uiPartAddr ) );
 #endif
Index: /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSlice.h
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSlice.h	(revision 880)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSlice.h	(revision 881)
@@ -107,5 +107,5 @@
   UInt                    m_uiSliceIdx;
   std::vector<TEncSbac*> CTXMem;
-#if MTK_DDD_G0063
+#if H_3D_DDD
   Int          m_iDDDScale;
   Int          m_iDDDOffset;
@@ -146,5 +146,5 @@
   Void      setCtxMem( TEncSbac* sb, Int b )   { CTXMem[b] = sb; }
 
-#if MTK_DDD_G0063
+#if H_3D_DDD
   Void setDDDPar( Int iScale, Int iOffset, UInt uiPrecision ){ m_iDDDScale = iScale; m_iDDDOffset = iOffset; m_uiDDDPrecision = uiPrecision; }
 #endif